.main {
    margin-top: 110px;
    max-width: 80%;
    margin-inline: auto;
    background-color: rgb(255 255 255);
    border: 1px solid #ccc;
    padding: 10px;
    box-shadow: 0 15px 25px rgba(0,0,0,.6);
    border-radius: 10px;
    text-align:center;
}


body {
    background-color: #ffffff;
    background-image: url("../images/background.jpg");
    font-size: 12px;
    font-family: Verdana, "Verdana CE",  Arial, "Arial CE", "Helvetica CE", sans-serif;
    color: #000000;
    margin: auto;
}

h1 {
    font-family: Arial, "Arial CE", "Helvetica CE", sans-serif;
    font-size:  28px;
    font-weight: bold;
    margin: 0px;
    padding: 0px;
    color: #045491;
    text-align: center;
}

h2 {
    font-family: Arial, "Arial CE", "Helvetica CE", sans-serif;
    font-size:  16px;
    font-weight: bold;
    margin: 0px;
    padding: 0px;
    color: #045491;
    text-align: center;
}

h3 {
    color: white;
}

/* Navigation bar styles */
.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 10%;
  background-color: #10b5bf;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
}

.tlogo img {
  max-height: 100%;
  max-width: 100%;
  display: block;
  margin: 0 auto;
}

.tlogo {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-grow: 1;
  max-height: 100%;
  height: 100%;
  width: 100%;
}


.back {
    width: 25%;
    padding: 10px;
    padding-left: 25px;
    text-align: center;
}

.replay {
    width: 15%;
    padding: 10px;
    padding-left: 25px;
    text-align: center;
}

.navbar a {
  display: inline-block;
  padding: 5px 15px;
  border: 2px solid #fff;
  border-radius: 10px;
  color: #fff;
  text-decoration: none;
  margin: 0 10px;
}


.navbar a:hover {
  background-color: #fff;
  color: #333;
}

/* Dropdown Button */
.dropbtn {
    background-color: #10b5bf;
    color: white;
    padding: 15px;
    font-size: 13px;
    padding: 5px 15px;
    border: 2px solid #fff;
    border-radius: 10px;
}

.dropbtn:hover {
    background-color: #fff;
      color: #333;
}



/* The container <div> - needed to position the dropdown content */
.dropdown {
  position: relative;
  display: inline-block;
  width: 15%;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f1f1f1;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}

/* Links inside the dropdown */
.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

/* Change color of dropdown links on hover */
.dropdown-content a:hover {background-color: #ddd;}

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {display: block;}

/* Change the background color of the dropdown button when the dropdown content is shown */
.dropdown:hover .dropbtn {background-color: #fff;
                                color: #333;;}

/* HTML field styles */
.html-field {
  margin-top: 80px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.rating-and-comment {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
}

.logout {
   margin-right:20px;
   min-width: 10%;
}

.rating {
  margin-right: 20px;
}

.comment {
  margin-left: 20px;
}

.addcomment {
    align-items:center;
}

/* Media queries */
@media only screen and (max-width: 768px) {
  .navbar-links {
    display: none;
  }

  .dropdown {
    display: none;
  }

  .navbar-logo {
    margin-left: 20px;
  }
}

table.scores {
    width: 100%;
    border: black 2px;
    max-width: 25rem;
    align-items: center;
    text-align: center;
    }
}

table.scores th {
    font-weight: bold;
    color: #FFFFFF;
    background-color: dimgray;

}

table.scores tr:nth-child(even) {
    background-color: lightgray
}

table.scores tr:nth-child(odd) {
    background-color: white;
}
a.abutton {
    display: inline-block;
    padding: 5px 15px;
    border: 2px solid #fff;
    border-radius: 10px;
    color: #324960;
    text-decoration: none;
    margin: 0 10px;
    font-size: 14px;
}

a.abutton:hover {
    background-color: #10b5bf;
    text-decoration: none;
    font-weight: normal;
}

.scores-comments {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.scores-container, .comments-container {
  width: calc(50% - 10px);
  text-align: -webkit-center;
}

.rating-container {
    width: calc(50% - 10px);
    margin:auto;
}

@media (max-width: 768px) {
  .scores-container, .comments-container {
    width: 100%;
    margin-bottom: 10px;
  }
}


td {
    padding: 0;
}

/*  Table field */

table.field{
    margin:auto;
}

table.field td {
    text-align: center;
    background-color: lightgray;
    width: 2em;
    height: 2em;
    font-size: 2.1em;
    border-radius: 0.4em;
}

table.field td:hover {
    background-color: gray;

}

table.field a:link,
table.field a:visited,
table.field a:link:hover,
table.field a:visited:hover {
    color: inherit;
    font-weight: bolder;
    text-decoration: none;
}

table.field a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
}

table.filed td.span{
    font-weight: bolder;
}

table.field td.tile1 {
    color: blue;
}

table.field td.tile2 {
    color: red;
}

table.field td.tile3 {
    color: green;
}

table.field td.tile4 {
    color: purple;
}

table.field td.tileA {
    color: yellow;
}

table.field td.tileB {
    color: orange;
}

table.field td.tileC {
    color: #5F9EA0;
}

table.field td.tileD {
    color: #7FFFD4;
}

table.field td.tileE {
    color: #ff2fb3  ;
}

table.field td.tileF {
    color: brown;
}

table.field td.tile5 {
    color: #6aa4ff;
}

table.field td.tile6 {
    color: #a651ff;
}


.htmlField{
    text-align: center;
    items-align: center;
}

/* addComment*/

form {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 20px;
}

textarea {
  width: 30%;
  margin-bottom: 10px;
  padding: 10px;
  border-radius: 5px;
  border: 1px solid #ccc;
  font-size: 16px;
}

input[type="submit"] {
  background-color: #4CAF50;
  color: white;
  border: none;
  border-radius: 5px;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
  transition: all 0.3s ease;
}

input[type="submit"]:hover {
  background-color: #3e8e41;
}


/* rating */

.wrapper {
  position: relative;
  display: inline-block;
  border: none;
  font-size: 14px;
  margin: auto;
  left: 50%;
  transform: translateX(-50%);
}

.wrapper input {
  border: 0;
  width: 1px;
  height: 1px;
  overflow: hidden;
  position: absolute !important;
  clip: rect(1px 1px 1px 1px);
  clip: rect(1px, 1px, 1px, 1px);
  opacity: 0;
}

.wrapper label {
  position: relative;
  float: right;
  color: #C8C8C8;
}

.wrapper label:before {
  margin: 5px;
  content: "\f005";
  font-family: FontAwesome;
  display: inline-block;
  font-size: 1.5em;
  color: #ccc;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}

.wrapper input:checked ~ label:before {
  color: #FFC107;
}

.wrapper label:hover ~ label:before {
  color: #ffdb70;
}

.wrapper label:hover:before {
  color: #FFC107;
}

.rating-window {
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  margin: auto;
}

/* Table Styles */

.table-wrapper{
    margin: 10px 70px 70px;
    box-shadow: 0px 35px 50px rgba( 0, 0, 0, 0.2 );
}

.fl-table {
    border-radius: 5px;
    font-size: 12px;
    font-weight: normal;
    border: none;
    border-collapse: collapse;
    width: 100%;
    max-width: 100%;
    white-space: nowrap;
    background-color: white;
}

.fl-table td, .fl-table th {
    text-align: center;
    padding: 8px;
}

.fl-table td {
    border-right: 1px solid #f8f8f8;
    font-size: 12px;
}

.fl-table thead th {
    color: #ffffff;
    background: #10b5bf;
}


.fl-table thead th:nth-child(odd) {
    color: #ffffff;
    background: #324960;
}

rating-container.fl-table thead th:nth-child(odd) {
    color: #ffffff;
    background: #324960;
}

.fl-table tr:nth-child(even) {
    background: #F8F8F8;
}

/* Responsive */

@media (max-width: 767px) {
    .fl-table {
        display: block;
        width: 100%;
    }
    .table-wrapper:before{
        content: "Scroll horizontally >";
        display: block;
        text-align: right;
        font-size: 11px;
        color: white;
        padding: 0 0 10px;
    }
    .fl-table thead, .fl-table tbody, .fl-table thead th {
        display: block;
    }
    .fl-table thead th:last-child{
        border-bottom: none;
    }
    .fl-table thead {
        float: left;
    }
    .fl-table tbody {
        width: auto;
        position: relative;
        overflow-x: auto;
    }
    .fl-table td, .fl-table th {
        padding: 20px .625em .625em .625em;
        height: 60px;
        vertical-align: middle;
        box-sizing: border-box;
        overflow-x: hidden;
        overflow-y: auto;
        width: 120px;
        font-size: 13px;
        text-overflow: ellipsis;
    }
    .fl-table thead th {
        text-align: left;
        border-bottom: 1px solid #f7f7f9;
    }
    .fl-table tbody tr {
        display: table-cell;
    }
    .fl-table tbody tr:nth-child(odd) {
        background: none;
    }
    .fl-table tr:nth-child(even) {
        background: transparent;
    }
    .fl-table tr td:nth-child(odd) {
        background: #F8F8F8;
        border-right: 1px solid #E6E4E4;
    }
    .fl-table tr td:nth-child(even) {
        border-right: 1px solid #E6E4E4;
    }
    .fl-table tbody td {
        display: block;
        text-align: center;
    }
}


.addcomment {
  display: flex;
  flex-wrap: wrap;
}


.addcomment {
  flex-basis: 40%;
}

.rating-window form,
.addcomment form {
  width: 100%;
}

.rating-wrap {
    padding: 10px;
    border: 1px solid #ccc;
    width: 250px;
    margin: auto;
    color: white;
    background: white;
    box-shadow: 0px 35px 50px rgba( 0, 0, 0, 0.2 );
}

.ratingdiv {
    top:0;
    width:250px;
    background-color: #10b5bf;
    text-align:center;
    items-align:center;
    height:10px;
    padding: 10px;
        border: 1px solid #ccc;
        width: 250px;
        margin: auto;
        box-shadow: 0px 35px 50px rgba( 0, 0, 0, 0.2 );
}

.footer {
  margin-top: 30px;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  font-size: 14px;
  color: rgba(0,0,0,.7);
}